bool target_patch_entry_addr(Target* t)
{
  TRACE(stderr, "target_patch_entry_addr\n");
  t->original_entry = t->p.ehdr->e_entry;
  t->p.ehdr->e_entry = target_new_entry_addr(t);
  TRACE(stderr, "e_entry=%08x\n", t->p.ehdr->e_entry);
  return true; /* this implementation can't fail */
}
